# Save a producer administration key

Adds or updates a public key which can be used by a producer user to make Dynamic Monetization API requests.

Endpoint: PUT /api/v1.1/administration-keys
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Request body:

  - `application/json` (unknown)
    The request payload.

## Request fields (application/json):

  - `publicKey` (string)
    A public key in PEM format.
    Example: -----BEGIN PUBLIC KEY-----\nMIIBgjAcBgoqhkiG9w0BD...\n-----END PUBLIC KEY-----

  - `id` (string)
    Your identifier for the key. This identifier must be added as a claim in a JWT token signed with the corresponding private key, in order to indicate which public key should be used to verify the JWT is valid.
    Example: xyz

## Response 200:

  - `200` (unknown)
    OK. The request succeeded in its entirety.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

